Get connection is busy or not

- « pg_connect_poll

- pg_connection_reset »

- PHP Manual
- PostgreSQL Functions
- Get connection is busy or not

# pg_connection_busy

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pg_connection_busy — Get connection is busy or not

### Description

pg_connection_busy(PgSql\Connection `$connection`): bool

pg_connection_busy() determines whether or not a connection is busy. If it is busy, a previous query is still executing. If pg_get_result() is used on the connection, it will be blocked.

### Parameters

`connection`

  An PgSql\Connection instance.

### Return Values

Returns `true` if the connection is busy, `false` otherwise.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.

### Examples

Example #1 pg_connection_busy() example

    <?php
      $dbconn = pg_connect("dbname=publisher") or die("Could not connect");
      $bs = pg_connection_busy($dbconn);
      if ($bs) {
          echo 'connection is busy';
      } else {
         echo 'connection is not busy';
      }
    ?>

### See Also

- pg_connection_status() - Get connection status
- pg_get_result() - Get asynchronous query result